Xerces_autoconf_config.hpp File Reference

Go to the source code of this file.

## Macros

#define | XERCES_AUTOCONF 1
#define | XERCES_HAVE_SYS_TYPES_H 1
#define | XERCES_HAVE_INTTYPES_H 1
#define | XERCES_HAVE_EMMINTRIN_H 1
#define | XERCES_S16BIT_INT int16_t
#define | XERCES_S32BIT_INT int32_t
#define | XERCES_S64BIT_INT int64_t
#define | XERCES_U16BIT_INT uint16_t
#define | XERCES_U32BIT_INT uint32_t
#define | XERCES_U64BIT_INT uint64_t
#define | XERCES_XMLCH_T uint16_t
#define | XERCES_SIZE_T size_t
#define | XERCES_SSIZE_T ssize_t
#define | XERCES_HAS_CPP_NAMESPACE 1
#define | XERCES_STD_NAMESPACE 1
#define | XERCES_NEW_IOSTREAMS 1
#define | XERCES_LSTRSUPPORT 1
#define | XERCES_HAVE_SSE2_INTRINSIC 1
#define | XERCES_HAVE_GETCPUID 1
#define | XERCES_PLATFORM_EXPORT
#define | XERCES_PLATFORM_IMPORT

## Typedefs

typedef size_t | XMLSize_t
typedef ssize_t | XMLSSize_t
typedef uint16_t | XMLCh
typedef uint16_t | XMLUInt16
typedef uint32_t | XMLUInt32
typedef uint64_t | XMLUInt64
typedef int16_t | XMLInt16
typedef int32_t | XMLInt32
typedef int64_t | XMLInt64
typedef XMLUInt64 | XMLFilePos
typedef XMLUInt64 | XMLFileLoc

## Macro Definition Documentation

#define XERCES_AUTOCONF 1

#define XERCES_HAS_CPP_NAMESPACE 1

#define XERCES_HAVE_EMMINTRIN_H 1

#define XERCES_HAVE_GETCPUID 1

#define XERCES_HAVE_INTTYPES_H 1

#define XERCES_HAVE_SSE2_INTRINSIC 1

#define XERCES_HAVE_SYS_TYPES_H 1

#define XERCES_LSTRSUPPORT 1

#define XERCES_NEW_IOSTREAMS 1

#define XERCES_PLATFORM_EXPORT

#define XERCES_PLATFORM_IMPORT

#define XERCES_S16BIT_INT int16_t

#define XERCES_S32BIT_INT int32_t

#define XERCES_S64BIT_INT int64_t

#define XERCES_SIZE_T size_t

#define XERCES_SSIZE_T ssize_t

#define XERCES_STD_NAMESPACE 1

#define XERCES_U16BIT_INT uint16_t

#define XERCES_U32BIT_INT uint32_t

#define XERCES_U64BIT_INT uint64_t

#define XERCES_XMLCH_T uint16_t

## Typedef Documentation

typedef uint16_t XMLCh

typedef XMLUInt64 XMLFileLoc

typedef XMLUInt64 XMLFilePos

typedef int16_t XMLInt16

typedef int32_t XMLInt32

typedef int64_t XMLInt64

typedef size_t XMLSize_t

typedef ssize_t XMLSSize_t

typedef uint16_t XMLUInt16

typedef uint32_t XMLUInt32

typedef uint64_t XMLUInt64